Submit a new time off request.

Submits a new time off request.

Time off requests can be of the listed types in the body params section below.

Each request type requires different parameters in the body params. Select the type in the body params section to view the expected fields.

Testing Note:
To test each type of request:
1. Open the relevant request type in the body params section.
2. In the test widget on the right, click "Request Example" to open the menu, and select the request type you want to send.
3. Update values and send.

Important testing disclaimer: Changing the request type example does not automatically switch the parameters. First, select the request schema, and then select the equivalent request in the "Request Example" to avoid inconsistencies in the example fields.

Path Params
string
required

The Employee ID as pulled from the database, or from the URL In Bob when viewing the employee. For example, if the URL in Bob is "https://app.hibob.com/employee-profile/3332883884017713238" you should copy the "3332883884017713238".

Body Params
string
required

The type of request duration. This request is for X days. Value must be 'days'.

string
required

Request policy type, e.g. Holiday, Sick or any custom type defined.

date
required

Date of the first day of the time off.

string
required

What portion of the first day is included - 'all_day' or 'afternoon' (relevant for requests using the Days type).

date
required

Date of the last day of the time off .

string
required

What portion of the last day is included - 'all_day' or 'morning' (relevant for requests using the Days type).

boolean

Admins only can skip the approval policy. Setting this field to true will create an approved request.

string

The employee ID of the user to be set as the approver for this request. This is relevant if 'skipManagerApproval' is set to true.
Please note that the user calling the API with this param must have permission to import time off requests.

string

Request reason.

integer

The reason code ID taken from the policy type's reason codes list. The list is available in GET /timeoff/policy-types/{policyType}/reason-codes

Response
200

Successfully submitted

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!